<?php
/* $Id: index.php 6941 2014-10-26 23:18:08Z daintree $*/
error_reporting(E_ALL & ~E_NOTICE);
$PageSecurity=0;

include('includes/session.inc');
$Title=_('ERP Home');
include('includes/newheader.php');

?>

		
  					
	<script src="angular/angular.min.js"></script>  
        
 
     
     
		

   
  
 									
									<?php
//this is where you paste. Below paste it:


echo '<p class="page_title_text"><img src="icons/reports.png"> </p>';
      
	echo '<div class="col-sm-10">';
		
    include('xcrud/xcrud.php');
    $xcrud = Xcrud::get_instance();
	$xcrud->table('financialsgfs');
	
	
	  
		


	$xcrud->table_name('Profitability Analysis of Guardforce - Suva Department');
	
	
	
  
   
	
	//$rostering_timesheet->disabled('m_hrs');
	
	
	$xcrud->order_by('period','desc');

    $xcrud->unset_remove();
  $xcrud->unset_view();
    $xcrud->unset_edit();
	$xcrud->unset_add();
  $xcrud->show_primary_ai_column(true);
//$xcrud->sum('balance, total_sales,total_cost,customer_profit,margin,ratio_to_total_gross_margin');
	
	echo $xcrud->render();
	
	
	    $xcrud1 = Xcrud::get_instance();
	$xcrud1->table('financialsgfw');
	
	
	  
		


	$xcrud1->table_name('Profitability Analysis of Guardforce-West Department');
	
	
	
  
   
	
	//$rostering_timesheet->disabled('m_hrs');
	
	
	$xcrud1->order_by('period','desc');

    $xcrud1->unset_remove();
  $xcrud1->unset_view();
    $xcrud1->unset_edit();
	$xcrud1->unset_add();
  $xcrud1->show_primary_ai_column(true);
//$xcrud->sum('balance, total_sales,total_cost,customer_profit,margin,ratio_to_total_gross_margin');
	
	echo $xcrud1->render();
	
    $xcrud2 = Xcrud::get_instance();
	$xcrud2->table('financialsgfn');
	
	
	  
		


	$xcrud2->table_name('Profitability Analysis of Guardforce-North Department');
	
	
	
  
   
	
	//$rostering_timesheet->disabled('m_hrs');
	
	
	$xcrud2->order_by('period','desc');

    $xcrud2->unset_remove();
  $xcrud2->unset_view();
    $xcrud2->unset_edit();
	$xcrud2->unset_add();
  $xcrud2->show_primary_ai_column(true);
//$xcrud->sum('balance, total_sales,total_cost,customer_profit,margin,ratio_to_total_gross_margin');
	
	echo $xcrud2->render();
	
	
    $xcrud3 = Xcrud::get_instance();
	$xcrud3->table('financialsaviationsouth');
	
	
	  
		


	$xcrud3->table_name('Profitability Analysis of Guardforce Aviation South');
	
	
	
  
   
	
	//$rostering_timesheet->disabled('m_hrs');
	
	
	$xcrud3->order_by('period','desc');

    $xcrud3->unset_remove();
  $xcrud3->unset_view();
    $xcrud3->unset_edit();
	$xcrud3->unset_add();
  $xcrud3->show_primary_ai_column(true);
//$xcrud->sum('balance, total_sales,total_cost,customer_profit,margin,ratio_to_total_gross_margin');
	
	echo $xcrud3->render();
	
	    $xcrud4 = Xcrud::get_instance();
	$xcrud4->table('financialsaviationwest');
	
	
	  
		


	$xcrud4->table_name('Profitability Analysis of Guardforce Aviation West');
	
	
	
  
   
	
	//$rostering_timesheet->disabled('m_hrs');
	
	
	$xcrud4->order_by('period','desc');

    $xcrud4->unset_remove();
  $xcrud4->unset_view();
    $xcrud4->unset_edit();
	$xcrud4->unset_add();
  $xcrud4->show_primary_ai_column(true);
//$xcrud->sum('balance, total_sales,total_cost,customer_profit,margin,ratio_to_total_gross_margin');
	
	echo $xcrud4->render();
	

    $xcrud5 = Xcrud::get_instance();
	$xcrud5->table('financialsfiresuva');
	
	
	  
		


	$xcrud5->table_name('Profitability Analysis of Fire Suva');
	
	
	
  
   
	
	//$rostering_timesheet->disabled('m_hrs');
	
	
	$xcrud5->order_by('period','desc');

    $xcrud5->unset_remove();
  $xcrud5->unset_view();
    $xcrud5->unset_edit();
	$xcrud5->unset_add();
  $xcrud5->show_primary_ai_column(true);
//$xcrud->sum('balance, total_sales,total_cost,customer_profit,margin,ratio_to_total_gross_margin');
	
	echo $xcrud5->render();
	
    $xcrud6 = Xcrud::get_instance();
	$xcrud6->table('financialsfirewest');
	
	
	  
		


	$xcrud6->table_name('Profitability Analysis of Fire West');
	
	
	
  
   
	
	//$rostering_timesheet->disabled('m_hrs');
	
	
	$xcrud6->order_by('period','desc');

    $xcrud6->unset_remove();
  $xcrud6->unset_view();
    $xcrud6->unset_edit();
	$xcrud6->unset_add();
  $xcrud6->show_primary_ai_column(true);
//$xcrud->sum('balance, total_sales,total_cost,customer_profit,margin,ratio_to_total_gross_margin');
	
	echo $xcrud6->render();

    $xcrud7 = Xcrud::get_instance();
	$xcrud7->table('financialssecuritysuva');
	
	
	  
		


	$xcrud7->table_name('Profitability Analysis of Security Installs Suva');
	
	
	
  
   
	
	//$rostering_timesheet->disabled('m_hrs');
	
	
	$xcrud7->order_by('period','desc');

    $xcrud7->unset_remove();
  $xcrud7->unset_view();
    $xcrud7->unset_edit();
	$xcrud7->unset_add();
  $xcrud7->show_primary_ai_column(true);
//$xcrud->sum('balance, total_sales,total_cost,customer_profit,margin,ratio_to_total_gross_margin');
	
	echo $xcrud7->render();

    $xcrud8 = Xcrud::get_instance();
	$xcrud8->table('financialssecuritywest');
	
	
	  
		


	$xcrud8->table_name('Profitability Analysis of Security Installs West');
	
	
	
  
   
	
	//$rostering_timesheet->disabled('m_hrs');
	
	
	$xcrud8->order_by('period','desc');

    $xcrud8->unset_remove();
  $xcrud8->unset_view();
    $xcrud8->unset_edit();
	$xcrud8->unset_add();
  $xcrud8->show_primary_ai_column(true);
//$xcrud->sum('balance, total_sales,total_cost,customer_profit,margin,ratio_to_total_gross_margin');
	
	echo $xcrud8->render();


    $xcrud9 = Xcrud::get_instance();
	$xcrud9->table('financialsfinance');
	
	
	  
		


	$xcrud9->table_name('Profitability Analysis of All Finance Department');
	
	
	
  
   
	
	//$rostering_timesheet->disabled('m_hrs');
	
	
	$xcrud9->order_by('period','desc');

    $xcrud9->unset_remove();
  $xcrud9->unset_view();
    $xcrud9->unset_edit();
	$xcrud9->unset_add();
  $xcrud9->show_primary_ai_column(true);
//$xcrud->sum('balance, total_sales,total_cost,customer_profit,margin,ratio_to_total_gross_margin');
	
	echo $xcrud9->render();


    $xcrud10 = Xcrud::get_instance();
	$xcrud10->table('financialsfinancesuva');
	
	
	  
		


	$xcrud10->table_name('Profitability Analysis of Finance- Suva Department');
	
	
	
  
   
	
	//$rostering_timesheet->disabled('m_hrs');
	
	
	$xcrud10->order_by('period','desc');

    $xcrud10->unset_remove();
  $xcrud10->unset_view();
    $xcrud10->unset_edit();
	$xcrud10->unset_add();
  $xcrud10->show_primary_ai_column(true);
//$xcrud->sum('balance, total_sales,total_cost,customer_profit,margin,ratio_to_total_gross_margin');
	
	echo $xcrud10->render();



    $xcrud11 = Xcrud::get_instance();
	$xcrud11->table('financialsfinancewest');
	
	
	  
		


	$xcrud11->table_name('Profitability Analysis of Finance West');
	
	
	
  
   
	
	//$rostering_timesheet->disabled('m_hrs');
	
	
	$xcrud11->order_by('period','desc');

    $xcrud11->unset_remove();
  $xcrud11->unset_view();
    $xcrud11->unset_edit();
	$xcrud11->unset_add();
  $xcrud11->show_primary_ai_column(true);
//$xcrud->sum('balance, total_sales,total_cost,customer_profit,margin,ratio_to_total_gross_margin');
	
	echo $xcrud11->render();

    $xcrud12 = Xcrud::get_instance();
	$xcrud12->table('financialsproperties');
	
	
	  
		


	$xcrud12->table_name('Profitability Analysis of All Properties Department');
	
	
	
  
   
	
	//$rostering_timesheet->disabled('m_hrs');
	
	
	$xcrud12->order_by('period','desc');

    $xcrud12->unset_remove();
  $xcrud12->unset_view();
    $xcrud12->unset_edit();
	$xcrud12->unset_add();
  $xcrud12->show_primary_ai_column(true);
//$xcrud->sum('balance, total_sales,total_cost,customer_profit,margin,ratio_to_total_gross_margin');
	
	echo $xcrud12->render();

    $xcrud13 = Xcrud::get_instance();
	$xcrud13->table('financialspropertiessuva');
	
	
	  
		


	$xcrud13->table_name('Profitability Analysis of Properties-Suva Department');
	
	
	
  
   
	
	//$rostering_timesheet->disabled('m_hrs');
	
	
	$xcrud13->order_by('period','desc');

    $xcrud12->unset_remove();
  $xcrud13->unset_view();
    $xcrud13->unset_edit();
	$xcrud13->unset_add();
  $xcrud13->show_primary_ai_column(true);
//$xcrud->sum('balance, total_sales,total_cost,customer_profit,margin,ratio_to_total_gross_margin');
	
	echo $xcrud13->render();

    $xcrud14 = Xcrud::get_instance();
	$xcrud14->table('financialspropertieswest');
	
	
	  
		


	$xcrud14->table_name('Profitability Analysis of Properties West Department');
	
	
	
  
   
	
	//$rostering_timesheet->disabled('m_hrs');
	
	
	$xcrud14->order_by('period','desc');

    $xcrud14->unset_remove();
  $xcrud14->unset_view();
    $xcrud14->unset_edit();
	$xcrud14->unset_add();
  $xcrud14->show_primary_ai_column(true);
//$xcrud->sum('balance, total_sales,total_cost,customer_profit,margin,ratio_to_total_gross_margin');
	
	echo $xcrud14->render();

    $xcrud15 = Xcrud::get_instance();
	$xcrud15->table('financialspropertiesnorth');
	
	
	  
		


	$xcrud15->table_name('Profitability Analysis of Properties North Department');
	
	
	
  
   
	
	//$rostering_timesheet->disabled('m_hrs');
	
	
	$xcrud15->order_by('period','desc');

    $xcrud15->unset_remove();
  $xcrud15->unset_view();
    $xcrud15->unset_edit();
	$xcrud15->unset_add();
  $xcrud15->show_primary_ai_column(true);
//$xcrud->sum('balance, total_sales,total_cost,customer_profit,margin,ratio_to_total_gross_margin');
	
	echo $xcrud15->render();

echo '</div>';





			  
 	echo '</div >';
	?>
						

		
					</div>
				</div>
			</div>
					
					

						<!--end:: Widgets/Stats-->

						<!--Begin::Section-->
						

		<!-- end::Quick Sidebar -->

		<!-- begin::Scroll Top -->
		<div id="m_scroll_top" class="m-scroll-top">
			<i class="la la-arrow-up"></i>
		</div>

		<!-- end::Scroll Top -->

		<!-- begin::Quick Nav -->
		

		<!-- begin::Quick Nav -->
<script src="includes/vendors/owl.carousel/dist/owl.carousel.js" type="text/javascript"></script>

		<!--end::Page Scripts -->
	</body>

	<!-- end::Body -->
</html>
 
      
<?php



/*The module link codes are hard coded in a switch statement below to determine the options to show for each tab */
include('includes/MainMenuLinksArray.php');

if (isset($SupplierLogin) AND $SupplierLogin==1){
	echo '<table class="table_index">
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=1">' . _('View or Amend outstanding offers') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=2">' . _('Create a new offer') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=3">' . _('View any open tenders without an offer') . '</a></p>
			</td>
			</tr>
		</table>';
	include('includes/footer.inc');
	exit;
} elseif (isset($CustomerLogin) AND $CustomerLogin==1){
	echo '<table class="table_index">
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/CustomerInquiry.php?CustomerID=' . $_SESSION['CustomerID'] . '">' . _('Account Status') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SelectOrderItems.php?NewOrder=Yes">' . _('Place An Order') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SelectCompletedOrder.php?SelectedCustomer=' . $_SESSION['CustomerID'] . '">' . _('Order Status') . '</a></p>
			</td>
			</tr>
		</table>';

	include('includes/footer.inc');
	exit;
}

if (isset($_GET['Application'])){ /*This is sent by this page (to itself) when the user clicks on a tab */
	$_SESSION['Module'] = $_GET['Application'];
}








//include('includes/footer.inc');

function GetRptLinks($GroupID) {
/*
This function retrieves the reports given a certain group id as defined in /reports/admin/defaults.php
in the acssociative array $ReportGroups[]. It will fetch the reports belonging solely to the group
specified to create a list of links for insertion into a table to choose a report. Two table sections will
be generated, one for standard reports and the other for custom reports.
*/
	global $db, $RootPath, $ReportList;
	require_once('reportwriter/languages/en_US/reports.php');
	require_once('reportwriter/admin/defaults.php');
	$GroupID=$ReportList[$GroupID];
	$Title= array(_('Custom Reports'), _('Standard Reports and Forms'));

	$sql= "SELECT id,
				reporttype,
				defaultreport,
				groupname,
				reportname
			FROM reports
			ORDER BY groupname,
					reportname";
	$Result=DB_query($sql,'','',false,true);
	$ReportList = '';
	while ($Temp = DB_fetch_array($Result)) $ReportList[] = $Temp;

	$RptLinks = '';
	for ($Def=1; $Def>=0; $Def--) {
        $RptLinks .= '<li class="menu_group_headers">';
        $RptLinks .= '<b>' .  $Title[$Def] . '</b>';
        $RptLinks .= '</li>';
		$NoEntries = true;
		if ($ReportList) { // then there are reports to show, show by grouping
			foreach ($ReportList as $Report) {
				if ($Report['groupname']==$GroupID AND $Report['defaultreport']==$Def) {
                    $RptLinks .= '<li class="menu_group_item">';
					$RptLinks .= '<p>&bull; <a href="' . $RootPath . '/reportwriter/ReportMaker.php?action=go&amp;reportid=' . $Report['id'] . '">' . _($Report['reportname']) . '</a></p>';
					$RptLinks .= '</li>';
					$NoEntries = false;
				}
			}
			// now fetch the form groups that are a part of this group (List after reports)
			$NoForms = true;
			foreach ($ReportList as $Report) {
				$Group=explode(':',$Report['groupname']); // break into main group and form group array
				if ($NoForms AND $Group[0]==$GroupID AND $Report['reporttype']=='frm' AND $Report['defaultreport']==$Def) {
                    $RptLinks .= '<li class="menu_group_item">';
					$RptLinks .= '<img src="' . $RootPath . '/css/' . $_SESSION['Theme'] . '/images/folders.gif" width="16" height="13" alt="" />&nbsp;';
					$RptLinks .= '<p>&bull; <a href="' . $RootPath . '/reportwriter/FormMaker.php?id=' . $Report['groupname'] . '"></p>';
					$RptLinks .= $FormGroups[$Report['groupname']] . '</a>';
					$RptLinks .= '</li>';
					$NoForms = false;
					$NoEntries = false;
				}
			}
		}
		if ($NoEntries) $RptLinks .= '<li class="menu_group_item">' . _('There are no reports to show!') . '</li>';
	}
	return $RptLinks;
}
	
?>
<!-- Modal HTML embedded directly into document -->
<div id="ex1" class="modal">
  <p>Thanks for clicking. That felt good.</p>
  <a href="#" rel="modal:close">Close</a>
</div>


<!-- Modal -->
 <div class="modal fade" id="getCodeModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
   <div class="modal-dialog modal-lg">
      <div class="modal-content">
       <div class="modal-header">
         <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
         <h4 class="modal-title" id="myModalLabel"> API CODE </h4>
       </div>
       <div class="modal-body" id="getCode" style="overflow-x: scroll;">
       
          
          
       </div>
    </div>
   </div>
 </div>
<script>
jQuery(document).ready(function($){

   // event must be delegated from .xcrud
	
	//check employee for a clash on existing patrol location
$(".xcrud").on("change","#internal",function(){ // !important, delegation from static container
     var internal = $("#internal").val();
	 
	
        if(internal != 0)
       {
		
		 $('#sectors').attr("disabled", true);
		
            $('#patrollocation').attr("disabled",true);
		  $('#account').attr("disabled", true);
		   
		//   $("#account").hide();
       }
	else{
		 $('#sectors').attr("disabled", false);
		
            $('#patrollocation').attr("disabled",false);
		  $('#account').attr("disabled", false)
		//$("#account").show();
	}
     
	  
   });
	
	//check employee for a clash on same employee working at different location but at same time-frame
	//monday shift one and two	
	$(".xcrud").on("change","#monout",function(){ // !important, delegation from static container
     var start_time = $("#monin").val();
	 var end_time = $("#monout").val();
	 var rosterid = $("#rosterid").val();
		 var employeeid = $("#employeeid").val();
		
	
	
		
	
		
	   $.ajax({
      url:'hrms/CheckEmployee-timeclash.php',
      method:"POST",
      data:{start_time:start_time,end_time:end_time,rosterid:rosterid,employeeid:employeeid},
		 
		
      success:function(data)
     {
		 	
	   var data = JSON.parse(data);
	    console.log(data);
        if(data != 0)
       {
		  
		   
       alert('CLASH!This employee is already rostered in another location/post at these selected times. Please choose another employee before proceeding. Full Details where they are rostered at :ROSTERID:'+ data);
		    
       }
      }
     })  
	  
   });

	//monday calculations
 
	



	
	
	//tuesdayshift one and two	
	$(".xcrud").on("change","#tuesout",function(){ // !important, delegation from static container
     var start_time = $("#tuesin").val();
	 var end_time = $("#tuesout").val();
	 var rosterid = $("#rosterid").val();
		 var employeeid = $("#employeeid").val();
		
	   $.ajax({
      url:'hrms/CheckEmployee-timeclashtues.php',
      method:"POST",
      data:{start_time:start_time,end_time:end_time,rosterid:rosterid,employeeid:employeeid},
		 
		
      success:function(data)
     {
		 	
	   var data = JSON.parse(data);
	    console.log(data);
        if(data != 0)
       {
		  
		   
       alert('CLASH!This employee is already rostered in another location/post at these selected times. Please choose another employee before proceeding. Full Details where they are rostered at :ROSTERID:'+ data);
		    
       }
      }
     })  
	  
   });
	
	//wed shift one and two	
	$(".xcrud").on("change","#wedout",function(){ // !important, delegation from static container
     var start_time = $("#wedin").val();
	 var end_time = $("#wedout").val();
	 var rosterid = $("#rosterid").val();
		 var employeeid = $("#employeeid").val();
		if ( end_time <= start_time){
		   
		   alert('Time logged out has to be greater than Time logged in ');
	   }
		
	   $.ajax({
      url:'hrms/CheckEmployee-timeclashwed.php',
      method:"POST",
      data:{start_time:start_time,end_time:end_time,rosterid:rosterid,employeeid:employeeid},
		 
		
      success:function(data)
     {
		 	
	   var data = JSON.parse(data);
	    console.log(data);
        if(data != 0)
       {
		  
		   
       alert('CLASH!This employee is already rostered in another location/post at these selected times. Please choose another employee before proceeding. Full Details where they are rostered at :ROSTERID:'+ data);
		    
       }
      }
     })  
	  
   });
	
	
	//thursday shift one and two	
	$(".xcrud").on("change","#thursout",function(){ // !important, delegation from static container
     var start_time = $("#thursin").val();
	 var end_time = $("#thursout").val();
	 var rosterid = $("#rosterid").val();
		 var employeeid = $("#employeeid").val();
		if ( end_time <= start_time){
		   
		   alert('Time logged out has to be greater than Time logged in ');
	   }
		
	   $.ajax({
      url:'hrms/CheckEmployee-timeclashthurs.php',
      method:"POST",
      data:{start_time:start_time,end_time:end_time,rosterid:rosterid,employeeid:employeeid},
		 
		
      success:function(data)
     {
		 	
	   var data = JSON.parse(data);
	    console.log(data);
        if(data != 0)
       {
		  
		   
       alert('CLASH!This employee is already rostered in another location/post at these selected times. Please choose another employee before proceeding. Full Details where they are rostered at :ROSTERID:'+ data);
		    
       }
      }
     })  
	  
   });
	
	//friday shift one and two	
	$(".xcrud").on("change","#friout",function(){ // !important, delegation from static container
     var start_time = $("#friin").val();
	 var end_time = $("#friout").val();
	 var rosterid = $("#rosterid").val();
		 var employeeid = $("#employeeid").val();
		if ( end_time <= start_time){
		   
		   alert('Time logged out has to be greater than Time logged in ');
	   }
		
	   $.ajax({
      url:'hrms/CheckEmployee-timeclashfri.php',
      method:"POST",
      data:{start_time:start_time,end_time:end_time,rosterid:rosterid,employeeid:employeeid},
		 
		
      success:function(data)
     {
		 	
	   var data = JSON.parse(data);
	    console.log(data);
        if(data != 0)
       {
		  
		   
       alert('CLASH!This employee is already rostered in another location/post at these selected times. Please choose another employee before proceeding. Full Details where they are rostered at :ROSTERID:'+ data);
		    
       }
      }
     })  
	  
   });
	
	//saturday shift one and two	
	$(".xcrud").on("change","#satout",function(){ // !important, delegation from static container
     var start_time = $("#satin").val();
	 var end_time = $("#satout").val();
	 var rosterid = $("#rosterid").val();
		 var employeeid = $("#employeeid").val();
		if ( end_time <= start_time){
		   
		   alert('Time logged out has to be greater than Time logged in ');
	   }
		
	   $.ajax({
      url:'hrms/CheckEmployee-timeclashsat.php',
      method:"POST",
      data:{start_time:start_time,end_time:end_time,rosterid:rosterid,employeeid:employeeid},
		 
		
      success:function(data)
     {
		 	
	   var data = JSON.parse(data);
	    console.log(data);
        if(data != 0)
       {
		  
		   
       alert('CLASH!This employee is already rostered in another location/post at these selected times. Please choose another employee before proceeding. Full Details where they are rostered at :ROSTERID:'+ data);
		    
       }
      }
     })  
	  
   });
	
	//sundayshift one and two	
	$(".xcrud").on("change","#sunout",function(){ // !important, delegation from static container
     var start_time = $("#sunin").val();
	 var end_time = $("#sunout").val();
	 var rosterid = $("#rosterid").val();
		 var employeeid = $("#employeeid").val();
		if ( end_time <= start_time){
		   
		   alert('Time logged out has to be greater than Time logged in ');
	   }
		
	   $.ajax({
      url:'hrms/CheckEmployee-timeclashsun.php',
      method:"POST",
      data:{start_time:start_time,end_time:end_time,rosterid:rosterid,employeeid:employeeid},
		 
		
      success:function(data)
     {
		 	
	   var data = JSON.parse(data);
	    console.log(data);
        if(data != 0)
       {
		  
		   
       alert('CLASH!This employee is already rostered in another location/post at these selected times. Please choose another employee before proceeding. Full Details where they are rostered at :ROSTERID:'+ data);
		    
       }
      }
     })  
	  
   });
	
	

	
	
	
   }); 
	
	

	
	
		
		

	
	
</script>


<script type="text/javascript">
jQuery(document).on("ready xcrudafterrequest",function(){
    
});
</script>